Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLCamera Class Reference

`#include <vtkOpenGLCamera.h>`

Inheritance diagram for vtkOpenGLCamera:

[legend]
Collaboration diagram for vtkOpenGLCamera:

[legend]
List of all members.

## Detailed Description

OpenGL camera.

Date:
  2002/08/22 18:39:30

Revision:
  1.21

vtkOpenGLCamera is a concrete implementation of the abstract class vtkCamera. vtkOpenGLCamera interfaces to the OpenGL rendering library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Martin, Ken (44%)
  - Schroeder, Will (27%)
  - Hoffman, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLCamera.h)`
  - .`cxx` (`/Rendering/vtkOpenGLCamera.cxx)`

Definition at line 45 of file vtkOpenGLCamera.h.

## Public Types
typedef vtkCamera | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren)
void | UpdateViewport (vtkRenderer *ren)
## Static Public Methods
vtkOpenGLCamera * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLCamera * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLCamera ()
| ~vtkOpenGLCamera ()

## Member Typedef Documentation

typedef vtkCamera vtkOpenGLCamera::Superclass

| Reimplemented from vtkCamera. Definition at line 49 of file vtkOpenGLCamera.h.

## Constructor & Destructor Documentation

vtkOpenGLCamera::vtkOpenGLCamera | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkOpenGLCamera.h.

vtkOpenGLCamera::~vtkOpenGLCamera | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkOpenGLCamera.h.

## Member Function Documentation

vtkOpenGLCamera* vtkOpenGLCamera::New | ( |  | ) | `[static]`

| Construct camera instance with its focal point at the origin, and position=(0,0,1). The view up is along the y-axis, view angle is 30 degrees, and the clipping range is (.1,1000). Reimplemented from vtkCamera.

virtual const char* vtkOpenGLCamera::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCamera.

int vtkOpenGLCamera::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCamera.

virtual int vtkOpenGLCamera::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCamera.

vtkOpenGLCamera* vtkOpenGLCamera::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCamera.

virtual void vtkOpenGLCamera::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCamera.

void vtkOpenGLCamera::Render | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkCamera.

void vtkOpenGLCamera::UpdateViewport | ( | vtkRenderer * | ren | ) |

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLCamera.h